## ntopng 1.1+dfsg2

=== third-party/credis-0.2.3/Makefile ===
CFLAGS = -g  -Wall
LDFLAGS =
#CPPFLAGS = -DPRINTDEBUG

# build shared lib under OS X or Linux
OS = $(shell uname -s)
ifeq ($(OS),Darwin)
	SHAREDLIB_LINK_OPTIONS=-dynamiclib -Wl,-install_name -Wl,
else
	SHAREDLIB_LINK_OPTIONS=-shared -Wl,-soname,
endif

# targets to build with 'make all'
TARGETS = credis-test libcredis.a libcredis.so

all: $(TARGETS)

credis-test: credis-test.o libcredis.a
	$(CC) $(CFLAGS) $(LDFLAGS) $(CPPFLAGS) -o $@ $^

libcredis.a: credis.o
	$(AR) -cvq $@ $^

libcredis.so: credis.o
	$(CC) $(SHAREDLIB_LINK_OPTIONS)$@ -o $@ $^

credis.o: credis.c credis.h Makefile
	$(CC) -c -fPIC $(CFLAGS) $(CPPFLAGS) -o $@ credis.c

install:
	@echo "Installing library (to be done)"
clean:
	rm -f *.o *~ $(TARGETS)

=== debian/changelog ===
ntopng (1.1+dfsg2-2) unstable; urgency=medium

  * Fix build-flags.patch causing FTBFS (Closes: #754502).

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 27 Jul 2014 15:19:52 -0700

ntopng (1.1+dfsg2-1) unstable; urgency=medium

  * Initial upload (Closes: #714820).
  * Remove unsed files without source from orig tarball.
  * Minify jquery and boostrap during build process.
  * Include missing sources for minified javascript. Use system libjs-rickshaw.
  * Fix lintian missing-source warnings.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 13 Apr 2014 16:25:14 -0700

ntopng (1.1+dfsg1-1) unstable; urgency=medium

  * Update Standards-Version to 3.9.5.
  * Repackage orig tarball removing precompiled binaries, non-dfsg-compatile
    files, and other temporary files.
  * Remove currenlty unused dependencies on libjs*.
  * Fix building arch-dependent packages only.
  * Adjust path of pidfile.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 29 Dec 2013 22:50:40 -0800

ntopng (1.1-1) unstable; urgency=low

  * Initial release (Closes: #714820).

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 17 Nov 2013 15:03:26 -0800

=== debian/control ===
Source: ntopng
Section: net
Priority: extra
Maintainer: Ludovico Cavedon <cavedon@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               autotools-dev,
               cleancss,
               coffeescript,
               libgeoip-dev,
               libgnutls-dev,
               libjson-c-dev,
               libluajit-5.1-dev,
               libndpi-dev (>= 1.4.0+svn6932),
               libpcap-dev,
               librrd-dev,
               libzmq3-dev,
               node-uglify
Standards-Version: 3.9.5
Homepage: http://www.ntop.org/products/ntop/
Vcs-Git: git://anonscm.debian.org/collab-maint/ntopng.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ntopng.git;a=summary

Package: ntopng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ntopng-data (= ${source:Version}),
 redis-server (>= 2.6)
Suggests: geoip-database-contrib (>= 1.12)
Description: High-Speed Web-based Traffic Analysis and Flow Collection Tool
 ntopng is the next generation version of the original ntop, a network
 traffic probe that shows the network usage, similar to what the popular
 top Unix command does. ntop is based on libpcap and it has been written
 in a portable way in order to virtually run on every Unix platform,
 MacOSX and on Win32 as well.
 .
 ntopng users can use a web browser to navigate through ntop (that acts as a
 web server) traffic information and get a dump of the network status. In the
 latter case, ntop can be seen as a simple RMON-like agent with an embedded web
 interface. The use of:
 .
  * a web interface
  * limited configuration and administration via the web interface
  * reduced CPU and memory usage (they vary according to network size and
  traffic)
 .
 What ntopng can do:
  * Sort network traffic according to many protocols
  * Show network traffic and IPv4/v6 active hosts
  * Store on disk persistent traffic statistics in RRD format
  * Geolocate hosts
  * Discover application protocols by leveraging on nDPI, ntop’s DPI
    framework
  * Characterise HTTP traffic by leveraging on characterisation services
    provided by block.si. ntopng comes with a demo characterisation key, but if
    you need a permanent one, please mail info@block.si
  * Show IP traffic distribution among the various protocols
  * Analyse IP traffic and sort it according to the source/destination
  * Display IP Traffic Subnet matrix (who’s talking to who?)
  * Report IP protocol usage sorted by protocol type
  * Act as a NetFlow/sFlow collector for flows generated by routers (e.g.
    Cisco and Juniper) or switches (e.g. Foundry Networks) when used together
    with nProbe
  * Produce HTML5/AJAX network traffic statistics

Package: ntopng-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, ntopng (= ${binary:Version})
Description: High-Speed Web-based Traffic Analysis and Flow Collection Tool (debug symbols)
 ntopng is the next generation version of the original ntop, a network
 traffic probe that shows the network usage, similar to what the popular
 top Unix command does. ntop is based on libpcap and it has been written
 in a portable way in order to virtually run on every Unix platform,
 MacOSX and on Win32 as well.
 .
 ntopng users can use a web browser to navigate through ntop (that acts as a
 web server) traffic information and get a dump of the network status. In the
 latter case, ntop can be seen as a simple RMON-like agent with an embedded web
 interface. The use of:
 .
  * a web interface
  * limited configuration and administration via the web interface
  * reduced CPU and memory usage (they vary according to network size and
  traffic)
 .
 This package contains the debug symbols for the ntopng daemon.

Package: ntopng-data
Architecture: all
Depends: ${misc:Depends}, fonts-font-awesome, libjs-rickshaw
Recommends: ntopng (= ${binary:Version})
Description: High-Speed Web-based Traffic Analysis and Flow Collection Tool (data files)
 ntopng is the next generation version of the original ntop, a network
 traffic probe that shows the network usage, similar to what the popular
 top Unix command does. ntop is based on libpcap and it has been written
 in a portable way in order to virtually run on every Unix platform,
 MacOSX and on Win32 as well.
 .
 ntopng users can use a web browser to navigate through ntop (that acts as a
 web server) traffic information and get a dump of the network status. In the
 latter case, ntop can be seen as a simple RMON-like agent with an embedded web
 interface. The use of:
 .
  * a web interface
  * limited configuration and administration via the web interface
  * reduced CPU and memory usage (they vary according to network size and
  traffic)
 .
 This package contains the architecture independent files for the ntopng
 daemon.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autotools-dev

override_dh_auto_build:
	dh_auto_build
	mkdir -p debian/generated-code/
	uglifyjs debian/missing-sources/bootstrap.ajaxpager-0.8.js > debian/generated-code/bootstrap.ajaxpager-0.8.min.js
	uglifyjs debian/missing-sources/bootstrap.js > debian/generated-code/bootstrap.min.js
	uglifyjs debian/missing-sources/cal-heatmap.js > debian/generated-code/cal-heatmap.min.js
	uglifyjs debian/missing-sources/d3.v2.js > debian/generated-code/d3.v2.min.js
	uglifyjs debian/missing-sources/jquery-1.10.2.js > debian/generated-code/jquery.min.js
	uglifyjs debian/missing-sources/jquery.peity.js > debian/generated-code/jquery.peity.min.js
	uglifyjs debian/missing-sources/jquery.sparkline.js > debian/generated-code/jquery.sparkline.min.js
	uglifyjs debian/missing-sources/serializeCFJSON-0.1.js > debian/generated-code/serializeCFJSON-0.1.min.js
	uglifyjs debian/missing-sources/typeahead.js > debian/generated-code/typeahead.min.js
	coffee -c -o debian/generated-code/ debian/missing-sources/gauge
	uglifyjs debian/generated-code/gauge.js > debian/generated-code/gauge.min.js
	cleancss debian/missing-sources/bootstrap-responsive.css > debian/generated-code/bootstrap-responsive.min.css
	cleancss httpdocs/bootstrap/css/bootstrap.css > debian/generated-code/bootstrap.min.css

override_dh_auto_install:

override_dh_strip:
	dh_strip --dbg-package=ntopng-dbg

override_dh_install-indep:
	dh_install --indep --exclude=redis.lua --exclude=font-awesome --exclude=bootstrap_3 --exclude=.source-map.js
	#rm -fr $(CURDIR)/debian/ntopng-data/usr/share/ntopng/httpdocs/bootstrap
	install -p -o root -g root -m 644 -t \
	    $(CURDIR)/debian/ntopng-data/usr/share/ntopng/scripts/lua/modules \
	    $(CURDIR)/third-party/redis-lua/src/redis.lua
	rm $(CURDIR)/debian/ntopng-data/usr/share/ntopng/httpdocs/js/README.gauge

override_dh_install-arch:
	dh_install --arch --exclude=redis.lua --exclude=font-awesome --exclude=bootstrap_3

override_dh_auto_clean:
	dh_auto_clean
	rm -fr debian/generated-code/

DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
		     | sed -rne 's/^Version: ([^-]+).*/\1/p')
PACKAGE=ntopng
SRC_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
SVN_REVISION := $(shell echo $(SRC_VERSION) | cut -d + -f 2 | sed 's/svn//' )
UPSTREAM_VERSION := $(shell echo $(SRC_VERSION) | cut -d + -f 1)
TARBALL=$(PACKAGE)_$(SRC_VERSION).orig.tar.gz
UPSTREAM_SVN_REPO = https://svn.ntop.org/svn/ntop/trunk/ntopng/

get-orig-source:
ifneq ($(findstring +svn,$(SRC_VERSION)),)
	rm -rf get-orig-source ../$(TARBALL)
	mkdir get-orig-source
	svn export -r $(SVN_REVISION) $(UPSTREAM_SVN_REPO) \
	    get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig
	GZIP='--best --no-name' tar czf ../$(TARBALL) -C get-orig-source \
	     $(PACKAGE)-$(SRC_VERSION).orig
	rm -rf get-orig-source
else
    ifneq ($(findstring +dfsg,$(SRC_VERSION)),)
	uscan --verbose --force-download --download-version $(UPSTREAM_VERSION)
	rm -rf get-orig-source ../$(TARBALL)
	mkdir get-orig-source
	tar zxf ../$(PACKAGE)_$(UPSTREAM_VERSION).orig.tar.gz -C get-orig-source
	mv get-orig-source/* get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig
	# Remove unused 3rd party libs
	rm -fr get-orig-source/*/httpdocs/bootstrap_3
	rm -fr get-orig-source/*/third-party/LuaJIT-*
	rm -fr get-orig-source/*/third-party/json-c
	rm -fr get-orig-source/*/third-party/rrdtool-*
	rm -fr get-orig-source/*/third-party/zeromq-*
	# Remove pre-compiled and auotmatically generated files
	find get-orig-source/ '(' -name .libs -or -name .svn -or \
	    -name autom4te.cache ')' -prune -exec rm -fr {} \;
	find get-orig-source/*/third-party/EWAHBoolArray/ \
	    -type f -perm /111 -delete
	find get-orig-source/ '(' \
	    -name '*.a' -or -name '*.la' -or \
	    -name '*.o' -or -name '*.lo' -or \
	    -name '*.so' -or -name '*.so.*' -or \
	    -name '*~' -or -name '#*#' -or \
	    -name 'Geo*.dat' ')' -delete
	# Remove unsed files without source.
	rm get-orig-source/*/httpdocs/js/highlight.min.js
	rm get-orig-source/*/httpdocs/js/prettify.js
	rm get-orig-source/*/httpdocs/css/prettify.css
	GZIP='--best --no-name' tar czf ../$(TARBALL) -C get-orig-source \
	     $(PACKAGE)-$(SRC_VERSION).orig
	rm -rf get-orig-source
    else
	uscan --verbose --download-version $(UPSTREAM_VERSION)
    endif
endif

.PHONY: override_dh_auto_install override_dh_strip override_dh_install-indep
.PHONY: override_dh_install-arch get-orig-source

=== debian/watch ===
version=3
opts="uversionmangle=s/_[0-9]*//,dversionmangle=s/\+(dfsg|repack)\d*$//" \
      http://sf.net/ntop/ntopng-([0-9].*)\.(?:tar\.gz|tgz)

## ntopng 1.2.1+dfsg1

=== debian/changelog ===
ntopng (1.2.1+dfsg1-2ubuntu1) wily; urgency=medium

  * Build-depend on pkg-config to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 21 Oct 2015 01:02:11 -0400

ntopng (1.2.1+dfsg1-2) unstable; urgency=low

  * Fix FTBFS due to coffee invocation (Closes: #790091).
  * Update Standards-Version to 3.9.6.
  * Use ntopng configuration file /etc/ntopng.conf instead of
    /etc/default/ntopng.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 26 Oct 2014 20:49:24 -0700

ntopng (1.2.1+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unused build-depends on libgnutls-dev. Closes: #764105

 -- Andreas Metzler <ametzler@debian.org>  Sat, 11 Oct 2014 11:51:05 +0200

ntopng (1.2.1+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 1.2.1+dfsg1 (Closes: #760990, CVE-2014-5464,
    CVE-2014-5511, CVE-2014-5512, CVE-2014-5513, CVE-2014-5514,
    CVE-2014-5515).
  * Remove patches merged upstream: build-flags.patch, libndpi-external.patch,
    manpage.patch, no-svn.patch, path-defaults.patch, remove-libs.patch, and
    rickshaw.patch.
  * Add no-librt.patch to avoid not needed linking against librt.
  * Fix typos in copyright and removed stanzas for removed files.

 -- Ludovico Cavedon <cavedon@debian.org>  Tue, 09 Sep 2014 21:57:04 -0700

ntopng (1.2.0+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 1.2.0+dfsg1 (Closes: CVE-2014-4329).
  * Update watch rule for new upstream naming convention.
  * get-roig-source: Support both +svn and ~svn in version.
  * Remove external hiredis from orig tarball.
  * Remove Rickshaw from orig tarball.
  * Remove documentation without source from orig tarball and insert an http
  * Remove corrupted unused serializeCFJSON-0.1.js from orig tarball.
    link to it in README.Debian.
  * Remove nDPI from orig tarball.
  * Remove all debian/missing-sources files that are now included not-minified
    by upstream. Remove build-deps on node-uglify and cleancss.
  * Remove references to third-party/redis-lua (removed upstream).
  * Update copyright.
  * Refresh patches and remove those merged upstream.
  * Add external-hiredis.patch to use system libhiredis.
  * Add rickshaw-keep-one.patch to remove references to additional rickshaw
    library.
  * Add no-svn.patch to drop requirement on SVN.
  * Add manpage.patch to fix usage of minus signs, hyphens, and dashes,
    missing space and line breaks.
  * Add rickshaw.patch to use single rickshaw.{css,js} files.
  * Split library removing part of build-flags.patch into remove-libs.patch.
  * Rename debian-defaults.patch to path-defaults.patch and use installation
    path from configure.
  * Use dh-autoreconf instead of autotools-dev.
  * Add build-dep on libsqlite3-dev.
  * Update build-dep on newer libndpi-dev.
  * Cleanup of dh_install rules.
  * Fix typo in font-awesome symlink path and remove and updates symlink links
    in ntopng-data/
  * Remove executable bit to non executable files.
  * Use system linjs-jquery tablesorter and form.
  * Add Build-Dep on libhiredis-dev.
  * Remove empty httpdocs/ssl directory.
  * Add systemd support.
  * Stop supporting ENABLED in /etc/default/ntopng and debian/NEWS to notify
    users.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 27 Jul 2014 16:13:47 -0700

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: ntopng
 Section: net
 Priority: extra
-Maintainer: Ludovico Cavedon <cavedon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ludovico Cavedon <cavedon@debian.org>
 Build-Depends: debhelper (>= 9.0.0),
-               autotools-dev,
-               cleancss,
+               dh-autoreconf,
+               dh-systemd (>= 1.5),
+               dpkg (>= 1.15.7.2),
                coffeescript,
                libgeoip-dev,
-               libgnutls-dev,
+               libhiredis-dev,
                libjson-c-dev,
                libluajit-5.1-dev,
-               libndpi-dev (>= 1.4.0+svn6932),
+               libndpi-dev (>= 1.4.0+svn8032),
                libpcap-dev,
                librrd-dev,
+               libsqlite3-dev,
                libzmq3-dev,
-               node-uglify
-Standards-Version: 3.9.5
+               pkg-config
+Standards-Version: 3.9.6
 Homepage: http://www.ntop.org/products/ntop/
 Vcs-Git: git://anonscm.debian.org/collab-maint/ntopng.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ntopng.git;a=summary
@@ -86,7 +89,8 @@
 
 Package: ntopng-data
 Architecture: all
-Depends: ${misc:Depends}, fonts-font-awesome, libjs-rickshaw
+Depends: ${misc:Depends}, fonts-font-awesome, libjs-rickshaw,
+         libjs-jquery-form, libjs-jquery-tablesorter
 Recommends: ntopng (= ${binary:Version})
 Description: High-Speed Web-based Traffic Analysis and Flow Collection Tool (data files)
  ntopng is the next generation version of the original ntop, a network

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf,systemd

override_dh_auto_build:
	dh_auto_build
	mkdir -p debian/generated-code/
	coffee -c -o debian/generated-code/ debian/missing-sources/gauge.coffee

override_dh_auto_install:

override_dh_strip:
	dh_strip --dbg-package=ntopng-dbg

override_dh_install-indep:
	dh_install --indep --exclude=redis.lua --exclude=font-awesome \
	    --exclude=.source-map.js --exclude=README.gauge
	find $(CURDIR)/debian/ntopng-data/usr/share -type f -exec chmod a-x {} \;
	rmdir $(CURDIR)/debian/ntopng-data/usr/share/ntopng/httpdocs/ssl || true

override_dh_install-arch:
	dh_install --arch

override_dh_auto_clean:
	dh_auto_clean
	rm -fr debian/generated-code/

DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
		     | sed -rne 's/^Version: ([^-]+).*/\1/p')
PACKAGE=ntopng
SRC_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
SVN_REVISION := $(shell echo $(SRC_VERSION) | grep -o '[+~]svn[0-9]\+' | sed -e 's/[+~]svn//')
UPSTREAM_VERSION := $(shell echo $(SRC_VERSION) | cut -d + -f 1)
TARBALL=$(PACKAGE)_$(SRC_VERSION).orig.tar.gz
UPSTREAM_SVN_REPO = https://svn.ntop.org/svn/ntop/trunk/ntopng/

get-orig-source:
	@echo DEB_UPSTREAM_VERSION $(DEB_UPSTREAM_VERSION)
	@echo SRC_VERSION $(SRC_VERSION)
	@echo SVN_REVISION $(SVN_REVISION)
	@echo UPSTREAM_VERSION $(UPSTREAM_VERSION)
ifneq ($(findstring svn,$(SRC_VERSION)),)
	# Download SVN version and prepare for possible repackaging
	rm -rf get-orig-source ../$(TARBALL)
	mkdir get-orig-source
	svn export -r $(SVN_REVISION) $(UPSTREAM_SVN_REPO) \
	    get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig
else
    ifneq ($(findstring +dfsg,$(SRC_VERSION)),)
	# Download upstream tarball and prepare for repackaging
	uscan --verbose --force-download --download-version $(UPSTREAM_VERSION)
	rm -rf get-orig-source ../$(TARBALL)
	mkdir get-orig-source
	tar zxf ../$(PACKAGE)_$(UPSTREAM_VERSION).orig.tar.gz -C get-orig-source
	mv get-orig-source/* get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig
    else
	# Download and use upstream vanilla tarball
	uscan --verbose --download-version $(UPSTREAM_VERSION)
    endif
endif
ifneq ($(findstring +dfsg,$(SRC_VERSION)),)
	# We need to repackage.
	# Remove unused 3rd party libs
	rm -fr get-orig-source/*/httpdocs/bootstrap_3
	rm -fr get-orig-source/*/httpdocs/css/Rickshaw
	rm -fr get-orig-source/*/httpdocs/js/Rickshaw
	rm -fr get-orig-source/*/httpdocs/js/serializeCFJSON-0.1.js
	rm -fr get-orig-source/*/third-party/LuaJIT-*
	rm -fr get-orig-source/*/third-party/hiredis
	rm -fr get-orig-source/*/third-party/json-c
	rm -fr get-orig-source/*/third-party/rrdtool-*
	rm -fr get-orig-source/*/third-party/zeromq-*
	# Remove unused nDPI library
	rm -fr get-orig-source/*/nDPI
	# Remove pre-compiled and auotmatically generated files
	find get-orig-source/ '(' -name .libs -or -name .svn -or \
	    -name autom4te.cache ')' -prune -exec rm -fr {} \;
	find get-orig-source/*/third-party/EWAHBoolArray/ \
	    -type f -perm /111 -delete
	find get-orig-source/ '(' \
	    -name '*.a' -or -name '*.la' -or \
	    -name '*.o' -or -name '*.lo' -or \
	    -name '*.so' -or -name '*.so.*' -or \
	    -name '*~' -or -name '#*#' -or \
	    -name 'Geo*.dat' ')' -delete
	# Remove unsed files without source.
	rm -f get-orig-source/*/httpdocs/js/highlight.min.js
	rm -f get-orig-source/*/httpdocs/js/prettify.js
	rm -f get-orig-source/*/httpdocs/css/prettify.css
	# Remove documentation without source.
	rm -fr get-orig-source/*/doc/UserGuide.*
endif
ifneq ($(or $(findstring +dfsg,$(SRC_VERSION)), $(findstring +dfsg,$(SRC_VERSION))),)
	# Need to create orig tarball.
	GZIP='--best --no-name' tar czf ../$(TARBALL) -C get-orig-source \
	     $(PACKAGE)-$(SRC_VERSION).orig
	rm -rf get-orig-source
endif

.PHONY: override_dh_auto_install override_dh_strip override_dh_install-indep
.PHONY: override_dh_install-arch get-orig-source

## ntopng 2.2%2Bdfsg1

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,11 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autoreconf,systemd
+	dh $@ --with systemd
+
+override_dh_auto_configure:
+	./autogen.sh
+	dh_auto_configure
 
 override_dh_auto_build:
 	dh_auto_build
@@ -20,10 +24,14 @@
 	dh_strip --dbg-package=ntopng-dbg
 
 override_dh_install-indep:
-	dh_install --indep --exclude=redis.lua --exclude=font-awesome \
-	    --exclude=.source-map.js --exclude=README.gauge
+	dh_install --indep \
+	    --exclude=.source-map.js \
+	    --exclude=README.gauge \
+	    --exclude=font-awesome \
+	    --exclude=redis.lua
+	rm -fr $(CURDIR)/debian/ntopng-data/usr/share/ntopng/httpdocs/bootstrap
 	find $(CURDIR)/debian/ntopng-data/usr/share -type f -exec chmod a-x {} \;
-	rmdir $(CURDIR)/debian/ntopng-data/usr/share/ntopng/httpdocs/ssl || true
+	rm -fr $(CURDIR)/debian/ntopng-data/usr/share/ntopng/httpdocs/ssl
 
 override_dh_install-arch:
 	dh_install --arch
@@ -71,6 +79,7 @@
 	rm -fr get-orig-source/*/httpdocs/bootstrap_3
 	rm -fr get-orig-source/*/httpdocs/css/Rickshaw
 	rm -fr get-orig-source/*/httpdocs/js/Rickshaw
+	rm -fr get-orig-source/*/httpdocs/js/handlebars-1.0.0.0.beta.6.js
 	rm -fr get-orig-source/*/httpdocs/js/serializeCFJSON-0.1.js
 	rm -fr get-orig-source/*/third-party/LuaJIT-*
 	rm -fr get-orig-source/*/third-party/hiredis
@@ -79,11 +88,11 @@
 	rm -fr get-orig-source/*/third-party/zeromq-*
 	# Remove unused nDPI library
 	rm -fr get-orig-source/*/nDPI
-	# Remove pre-compiled and auotmatically generated files
+	# Remove pre-compiled and automatically generated files
 	find get-orig-source/ '(' -name .libs -or -name .svn -or \
 	    -name autom4te.cache ')' -prune -exec rm -fr {} \;
 	find get-orig-source/*/third-party/EWAHBoolArray/ \
-	    -type f -perm /111 -delete
+	    -type f -perm /111 -delete || true
 	find get-orig-source/ '(' \
 	    -name '*.a' -or -name '*.la' -or \
 	    -name '*.o' -or -name '*.lo' -or \
@@ -94,8 +103,12 @@
 	rm -f get-orig-source/*/httpdocs/js/highlight.min.js
 	rm -f get-orig-source/*/httpdocs/js/prettify.js
 	rm -f get-orig-source/*/httpdocs/css/prettify.css
+	rm -f get-orig-source/*/httpdocs/js/pdfmake.js
+	rm -f get-orig-source/*/httpdocs/js/vfs_fonts.js
 	# Remove documentation without source.
 	rm -fr get-orig-source/*/doc/UserGuide.*
+	# Remove .git tree.
+	rm -fr get-orig-source/*/.git
 endif
 ifneq ($(or $(findstring +dfsg,$(SRC_VERSION)), $(findstring +dfsg,$(SRC_VERSION))),)
 	# Need to create orig tarball.

## ntopng 2.2+dfsg1

=== debian/changelog ===
ntopng (2.2+dfsg1-1build1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 31 Mar 2016 13:43:44 +0000

ntopng (2.2+dfsg1-1) unstable; urgency=high

  * Imported Upstream version 2.2+dfsg1, including fix for CVE-2015-8368
    (Closes: #816190).
  * get-orig-source: do not fail if EWAHBoolArray is missing.
  * Refresh patches.
  * Add Build-Depends on libmysqlclient-dev.
  * Add Build-Depends on libndpi >= 1.7.1~.
  * Update copyright.
  * Add no-detectxsslib.patch to prevent use of non-GPL-compatible detectxsslib.
  * Add lintian-override for some missing-source false positives.
  * Remove unused handlebars-1.0.0.0.beta.6.js without source from orig tarball.
  * Use https for Vcs links.
  * Update copyright.

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 12 Mar 2016 18:50:05 -0800

ntopng (2.0+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 2.0+dfsg1
  * Add Build-Dep on pkg-config (Closes: #797777).
  * Refresh patches.
  * Update build dependecies to libndpi-dev >= 1.6 and libcurl-gnutls-dev.
  * Update doc path location in upstream tarball.
  * Add use-system-ndpi.patch for using system libndpi.
  * Drop usage of dh_autoreconf and invoke upstream's autogen.sh
  * Remove .git tree when creating repackaged upstream tarball.
  * Update copyright for new sources.
  * Use system libjs-boostrap.
  * Add no-pwd.patch avoiding use of the PWD environment variable during build.
  * Use system boostrap.
  * Remove pdfmake.js and vfs_fonts.js from upstream tarball as they are not
    used and do nto have sources.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 20 Sep 2015 01:53:02 -0700

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,29 @@
 Source: ntopng
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ludovico Cavedon <cavedon@debian.org>
-Build-Depends: debhelper (>= 9.0.0),
-               dh-autoreconf,
+Maintainer: Ludovico Cavedon <cavedon@debian.org>
+Build-Depends: autoconf,
+               automake,
+               debhelper (>= 9.0.0),
                dh-systemd (>= 1.5),
                dpkg (>= 1.15.7.2),
                coffeescript,
+               libcurl4-gnutls-dev,
                libgeoip-dev,
                libhiredis-dev,
                libjson-c-dev,
                libluajit-5.1-dev,
-               libndpi-dev (>= 1.4.0+svn8032),
+               libmysqlclient-dev,
+               libndpi-dev (>= 1.7.1~),
                libpcap-dev,
                librrd-dev,
                libsqlite3-dev,
                libzmq3-dev,
-               pkg-config
+               pkg-config,
 Standards-Version: 3.9.6
 Homepage: http://www.ntop.org/products/ntop/
-Vcs-Git: git://anonscm.debian.org/collab-maint/ntopng.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ntopng.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/ntopng.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ntopng.git;a=summary
 
 Package: ntopng
 Architecture: any
@@ -89,8 +91,12 @@
 
 Package: ntopng-data
 Architecture: all
-Depends: ${misc:Depends}, fonts-font-awesome, libjs-rickshaw,
-         libjs-jquery-form, libjs-jquery-tablesorter
+Depends: fonts-font-awesome,
+         libjs-bootstrap,
+         libjs-rickshaw,
+         libjs-jquery-form,
+         libjs-jquery-tablesorter,
+         ${misc:Depends},
 Recommends: ntopng (= ${binary:Version})
 Description: High-Speed Web-based Traffic Analysis and Flow Collection Tool (data files)
  ntopng is the next generation version of the original ntop, a network

=== debian/watch ===
version=3
opts="uversionmangle=s/_r?[0-9]*//,dversionmangle=s/\+(dfsg|repack)\d*$//" \
      http://sf.net/ntop/ntopng-([0-9].*)\.(?:tar\.gz|tgz)

## ntopng 2.4+dfsg1

=== debian/changelog ===
ntopng (2.4+dfsg1-4) unstable; urgency=medium

  * Add CVE-2017-7458.patch to prevent an empty host to crash ntopng
    (Closes: #866721, CVE-2017-7458).
  * Add CVE-2017-7459.patch to prevent \r\n from being injected into HTTP URIs
    (Closes: #866719, CVE-2017-7459).
  * Add gcc-7.patch to fix FTBFS with gcc 7 (Closes: #853578).
  * Update Check-for-presence-of-crsf-in-admin-scripts.patch to avoid the
    'Missing CSRF parameter' error (Closes: #856048).
  * Add Avoid-access-after-free.patch and
    Avoid-access-to-unintialized-memory.patch to fix crash with mysql (thanks
    to Bernhard Übelacker, Closes: #859653).
  * Add redis-server in the Required fields of the SysVinit script
    (LP: #1437835).

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 03 Sep 2017 21:12:05 +0200

ntopng (2.4+dfsg1-3) unstable; urgency=high

  * Import upstream patches fixing CVE-2017-5473. (Closes: #852109)

 -- Ludovico Cavedon <cavedon@debian.org>  Fri, 03 Feb 2017 19:43:00 -0800

ntopng (2.4+dfsg1-2) unstable; urgency=high

  * Let systemd guess the main PID of ntopng (Closes: #849210).
  * Add Multi-Arch: foreign to ntopng-data (Closes: #848152).

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 24 Dec 2016 16:04:10 +0100

ntopng (2.4+dfsg1-1) unstable; urgency=medium

  * Update watch file to remove -stable from version.
  * Imported Upstream version 2.4+dfsg1.
  * Update dependency on libndpi 1.8.
  * Update Standards-Version to 3.9.8.
  * Migrate to ntopng-dbgsym.
  * Remove no-detectxsslib.patch (merged upstream).
  * Refresh pacthes.
  * Include all relevant upstream READMEs in docs.
  * Update copyright.
  * Change build dependecy from libmysqlclient-dev to
    default-libmysqlclient-dev (Closes: #845881).
  * Remove no longer needed lintian override.
  * Add dependecy on lsb-base for SysV init script.
  * Add reproducible-build.patch, thanks to Chris Lamb (Closes: #831346).

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 10 Dec 2016 21:51:33 -0800

ntopng (2.2+dfsg1-2) unstable; urgency=medium

  * Add kfreebsd-tap.patch to fix FTBFS on kfreebsd (thanks to
    Steven Chamberlain) (Closes: #818799).
  * Update Standards-Version to 3.9.7.
  * Add Documentation links to systemd unit.

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 02 Apr 2016 19:34:12 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ludovico Cavedon <cavedon@debian.org>
 Build-Depends: autoconf,
                automake,
-               debhelper (>= 9.0.0),
+               debhelper (>= 9.20160114),
                dh-systemd (>= 1.5),
                dpkg (>= 1.15.7.2),
                coffeescript,
@@ -13,22 +13,26 @@
                libhiredis-dev,
                libjson-c-dev,
                libluajit-5.1-dev,
-               libmysqlclient-dev,
-               libndpi-dev (>= 1.7.1~),
+               default-libmysqlclient-dev,
+               libndpi-dev (>= 1.8),
                libpcap-dev,
                librrd-dev,
                libsqlite3-dev,
                libzmq3-dev,
                pkg-config,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.ntop.org/products/ntop/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ntopng.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ntopng.git;a=summary
 
 Package: ntopng
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ntopng-data (= ${source:Version}),
- redis-server (>= 2.6)
+Depends:
+    ${misc:Depends},
+    ${shlibs:Depends},
+    lsb-base (>= 3.0-6),
+    ntopng-data (= ${source:Version}),
+    redis-server (>= 2.6),
 Suggests: geoip-database-contrib (>= 1.12)
 Description: High-Speed Web-based Traffic Analysis and Flow Collection Tool
  ntopng is the next generation version of the original ntop, a network
@@ -66,31 +70,9 @@
     with nProbe
   * Produce HTML5/AJAX network traffic statistics
 
-Package: ntopng-dbg
-Section: debug
-Architecture: any
-Depends: ${misc:Depends}, ntopng (= ${binary:Version})
-Description: High-Speed Web-based Traffic Analysis and Flow Collection Tool (debug symbols)
- ntopng is the next generation version of the original ntop, a network
- traffic probe that shows the network usage, similar to what the popular
- top Unix command does. ntop is based on libpcap and it has been written
- in a portable way in order to virtually run on every Unix platform,
- MacOSX and on Win32 as well.
- .
- ntopng users can use a web browser to navigate through ntop (that acts as a
- web server) traffic information and get a dump of the network status. In the
- latter case, ntop can be seen as a simple RMON-like agent with an embedded web
- interface. The use of:
- .
-  * a web interface
-  * limited configuration and administration via the web interface
-  * reduced CPU and memory usage (they vary according to network size and
-  traffic)
- .
- This package contains the debug symbols for the ntopng daemon.
-
 Package: ntopng-data
 Architecture: all
+Multi-Arch: foreign
 Depends: fonts-font-awesome,
          libjs-bootstrap,
          libjs-rickshaw,

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 override_dh_auto_install:
 
 override_dh_strip:
-	dh_strip --dbg-package=ntopng-dbg
+	dh_strip --dbgsym-migration='ntopng-dbg (<< 2.4+dfsg1-1~)'
 
 override_dh_install-indep:
 	dh_install --indep \

## ntopng 3.2+dfsg1

=== httpdocs/js/Makefile ===

JQUERY_BOOTSTRAP_MIN_JS=jquery_bootstrap.min.js
JQUERY_BOOTSTRAP_MIN_JS_SRC=jquery.js jquery-ui.js bootstrap.js\
			    bootstrap-datatable.js bootstrap3-typeahead.js\
			    d3.v3.js jquery.peity.js bootstrap-slider.js			    

DEP_MIN_JS=deps.min.js
DEP_MIN_JS_SRC=rickshaw.js pie-chart.js gauge.js \
		  crossfilter.js validator.js validator.js \
		  dc.js cal-heatmap.js nv.d3.js \
		  jquery.bootstrap-duallistbox.js jquery.are-you-sure.js \
		  moment.js bootstrap-datetimepicker.js

NTOP_MIN_JS=ntop.min.js
NTOP_MIN_JS_SRC=springy-ntop.js springyui-ntop.js datatable_utils.js\
		  ays_utils.js ntopng_utils.js




minify: $(JQUERY_BOOTSTRAP_MIN_JS) $(DEP_MIN_JS) $(NTOP_MIN_JS)

$(JQUERY_BOOTSTRAP_MIN_JS): $(JQUERY_BOOTSTRAP_MIN_JS_SRC) Makefile
	uglifyjs -o $@ --source-map $@.map -- $(JQUERY_BOOTSTRAP_MIN_JS_SRC)

$(DEP_MIN_JS): $(DEP_MIN_JS_SRC) Makefile
	uglifyjs -o $@ --source-map $@.map -- $(DEP_MIN_JS_SRC)

$(NTOP_MIN_JS): $(NTOP_MIN_JS_SRC) Makefile
	uglifyjs -o $@ --source-map $@.map -- $(NTOP_MIN_JS_SRC)

clean:
	rm -f $(JQUERY_BOOTSTRAP_MIN_JS) $(DEP_MIN_JS) $(NTOP_MIN_JS) *.map

=== debian/changelog ===
ntopng (3.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.2 (Closes: #878129, #866722, #878123).
  * Update watch file for github.
  * Use pkg-info.mk for parsing changelog and remove legacy SVN code.
  * Remove no longer necessary lines from repackging script.
  * Keep internal libluajit, as upstream pacthed it.
  * Do not remove UserGuide.*, and register UserGuide.pdf with doc-base and
    include it in the desktop file Documentation entry.
  * Make sure we rebuild the minified files from the upstream tarball.
  * Update copyright file.
  * Remove patches applied upstream:
    - Added-fixes-to-avoid-users-to-be-manipulated-with-in.patch
    - Avoid-access-after-free.patch
    - Avoid-access-to-unintialized-memory.patch
    - CVE-2017-7458.patch
    - CVE-2017-7459.patch
    - Check-for-presence-of-crsf-in-admin-scripts.patch
    - gcc-7.patch
  * Refresh patches.
  * Fix Documentation entry in systemd service file (Closes: #854694).
  * Replace priority extra with optional.
  * Make sure ntopng-add-user.sh is executable.
  * Update list of documentation/README files and move them into ntopng-data.
  * Build-Depend on libcap-dev.
  * Build-Depend on debhelper >= 9.20160709 instead of dh-systemd.
  * Bump Standards-Version to 4.1.2.
  * Use EtherOUI.txt file from libwireshark-data.
  * Update source lintian-overrides about source-is-missing false positives
    for js files.
  * Add missing symlink to fontawesome-webfont.woff2.

 -- Ludovico Cavedon <cavedon@debian.org>  Wed, 27 Dec 2017 01:13:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: ntopng
 Section: net
-Priority: extra
+Priority: optional
 Maintainer: Ludovico Cavedon <cavedon@debian.org>
 Build-Depends: autoconf,
                automake,
-               debhelper (>= 9.20160114),
-               dh-systemd (>= 1.5),
+               coffeescript,
+               debhelper (>= 9.20160709),
+               default-libmysqlclient-dev,
                dpkg (>= 1.15.7.2),
-               coffeescript,
+               libcap-dev,
                libcurl4-gnutls-dev,
                libgeoip-dev,
                libhiredis-dev,
                libjson-c-dev,
-               libluajit-5.1-dev,
-               default-libmysqlclient-dev,
-               libndpi-dev (>= 1.8),
+               libndpi-dev (>= 2.2),
                libpcap-dev,
                librrd-dev,
                libsqlite3-dev,
                libzmq3-dev,
+               node-source-map,
+               node-uglify,
                pkg-config,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Homepage: http://www.ntop.org/products/ntop/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ntopng.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ntopng.git;a=summary
@@ -78,8 +79,11 @@
          libjs-rickshaw,
          libjs-jquery-form,
          libjs-jquery-tablesorter,
+         libwireshark-data,
          ${misc:Depends},
 Recommends: ntopng (= ${binary:Version})
+Breaks: ntopng (<< 3.2)
+Replaces: ntopng (<< 3.2)
 Description: High-Speed Web-based Traffic Analysis and Flow Collection Tool (data files)
  ntopng is the next generation version of the original ntop, a network
  traffic probe that shows the network usage, similar to what the popular

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all


%:
	dh $@ --with systemd

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure

override_dh_auto_build:
	# Make sure we rebuild the minified files from the upstream tarball.
	$(MAKE) -C httpdocs/js clean
	$(MAKE) -C httpdocs/js minify
	dh_auto_build
	mkdir -p debian/generated-code/
	coffee -c -o debian/generated-code/ debian/missing-sources/gauge.coffee

override_dh_auto_install:

override_dh_installdocs:
	dh_installdocs -pntopng
	dh_installdocs -pntopng-data --doc-main-package=ntopng

override_dh_strip:
	dh_strip --dbgsym-migration='ntopng-dbg (<< 2.4+dfsg1-1~)'

override_dh_install-indep:
	dh_install --indep \
	    --exclude=.source-map.js \
	    --exclude=EtherOUI.txt \
	    --exclude=Makefile \
	    --exclude=README.gauge \
	    --exclude=font-awesome \
	    --exclude=redis.lua \
	    --exclude=scripts/lua/modules/i18n \
	    --exclude=scripts/lua/modules/resty
	rm -fr $(CURDIR)/debian/ntopng-data/usr/share/ntopng/httpdocs/bootstrap
	find $(CURDIR)/debian/ntopng-data/usr/share -type f -exec chmod a-x {} \;
	rm -fr $(CURDIR)/debian/ntopng-data/usr/share/ntopng/httpdocs/ssl
	chmod +x $(CURDIR)/debian/ntopng-data/usr/share/ntopng/httpdocs/misc/ntopng-add-user.sh

override_dh_install-arch:
	dh_install --arch

override_dh_auto_clean:
	dh_auto_clean
	rm -fr debian/generated-code/

PACKAGE=ntopng
UPSTREAM_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | cut -d + -f 1)
TARBALL=$(PACKAGE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz

get-orig-source:
	@echo DEB_VERSION_UPSTREAM $(DEB_VERSION_UPSTREAM)
	@echo UPSTREAM_VERSION $(UPSTREAM_VERSION)
ifneq ($(findstring +dfsg,$(DEB_VERSION_UPSTREAM)),)
	# Download upstream tarball and prepare for repackaging
	uscan --verbose --force-download --download-version $(UPSTREAM_VERSION)
	rm -rf get-orig-source ../$(TARBALL)
	mkdir get-orig-source
	tar zxf ../$(PACKAGE)_$(UPSTREAM_VERSION).orig.tar.gz -C get-orig-source
	mv get-orig-source/* get-orig-source/$(PACKAGE)-$(DEB_VERSION_UPSTREAM).orig

	# Remove unused 3rd party libs
	rm -fr get-orig-source/*/httpdocs/css/Rickshaw
	rm -fr get-orig-source/*/third-party/hiredis
	rm -fr get-orig-source/*/third-party/json-c
	rm -fr get-orig-source/*/third-party/rrdtool-*
	rm -fr get-orig-source/*/third-party/zeromq-*

	# Remove unsed files without source.
	rm -f get-orig-source/*/httpdocs/js/pdfmake.js
	rm -f get-orig-source/*/httpdocs/js/vfs_fonts.js

	# Need to create orig tarball.
	GZIP='--best --no-name' tar czf ../$(TARBALL) -C get-orig-source \
	     $(PACKAGE)-$(DEB_VERSION_UPSTREAM).orig
	rm -rf get-orig-source
else
	# Download and use upstream vanilla tarball
	uscan --verbose --download-version $(UPSTREAM_VERSION)
endif

.PHONY: override_dh_auto_install override_dh_strip override_dh_install-indep
.PHONY: override_dh_install-arch get-orig-source

=== debian/watch ===
version=3
opts="uversionmangle=s/_r?[0-9]*//,dversionmangle=s/\+(dfsg|repack)\d*$//,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ntopng-$1\.tar\.gz/" \
     https://github.com/ntop/ntopng/releases .*/(\d\S+)\.tar\.gz
